#!/bin/bash
# Demo - for loops

# There are different ways to create 'for' loops

echo "Example 1"
for i in 1 2 3 4;
do
	echo ${i}
done

echo "Example 2"
i=1
for j in `ls /var`;
do
	echo "${i}: ${j}"
	i=$(( ${i} + 1 ));
done

echo "Example 3"
for x in {1..10};
do
	echo ${x}
done

echo "Example 4"
LIMIT=5
for ((i=0; i<${LIMIT}; i++));
do
	echo "${i}"
done
