"""
Demonstration of UDP server. See also socket_udp_client.py.
"""

import socket

# Addresses and data
serverport = 5006
message = "Ack"

# Create a UDP datagram socket with address family of IPv4 (INET)
sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM) 

# Bind the socket to any IP address and the designated port
sock.bind(('', serverport))

# Receive data forever (or until Ctrl-C)
while True:

	# Wait for message from client (max 1024 bytes)
	data, clientaddr = sock.recvfrom(1024)
	print "received message:", data

	# Send message to client
	sock.sendto(message, clientaddr)
