#!/bin/bash
# Demo - some extra things

echo "tr"
echo "This is a sentence." | tr ' ' '_'
echo "This is another sentence." | tr -d 'e'
echo " "

echo "basename"
basename /etc/pam.conf
basename /etc/pam.conf .conf
echo " "

echo "date"
date
date +'%Y-%m-%d-%H-%M'
echo " "

echo "file"
file $0
echo " "

echo "stat"
stat $0
echo " "

echo "mktemp"
tmpfile=`mktemp`
echo ${tmpfile}
echo "hello" > ${tmpfile}
ls -l ${tmpfile}
rm -f ${tmpfile}
echo " "

echo "tar"
tar cf test_script_archive1.tar /etc/apt/
tar czf test_script_archive2.tgz /etc/apt/
echo " "
