"""
Demonstration of TCP client. See also socket_tcp_server.py.
"""

import socket

# Addresses and data
serverip = "127.0.0.1"
serverport = 5005
message = "Hello, World!"

# Create a TCP stream socket with address family of IPv4 (INET)
s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

# Connect to the server at given IP and port
s.connect((serverip, serverport))
print "Connected to " + serverip + ":" + str(serverport)

# Send the entire message
s.sendall(message)

# Wait for a response (max of 1024 bytes)
response = s.recv(1024)
print response
